- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::CIAO_Monitor Class Reference

The Monitor class. More...

`#include <CIAO_Monitor.h>`

Inheritance diagram for CIAO::CIAO_Monitor:

[legend]
Collaboration diagram for CIAO::CIAO_Monitor:

[legend]
List of all members.

## Public Member Functions
| CIAO_Monitor ()
virtual int | initialize_params (::Deployment::Domain &domain,::Deployment::TargetManager_ptr target_manager, int interval)
virtual | ~CIAO_Monitor ()
| The Desctructor.
int | start (CORBA::ORB_ptr orb)
| This method will starts up the Monitor in this case,.
int | stop ()
| This method will starts up the Monitor in this case.
::Deployment::Domain * | get_current_data ()
| This function retrieves the current Domain data.
## Protected Attributes
::Deployment::TargetManager_ptr | target_ptr_
| The TargetManager Object to be sent to the RSSSubscriber ..
int | interval_
| The interval after which update is to be returned.
auto_ptr< Deployment::Domain > | current_domain_
| The Domain data structure.

## Detailed Description

The Monitor class.

## Constructor & Destructor Documentation

CIAO::CIAO_Monitor::CIAO_Monitor | ( |  | ) |

Constructor

CIAO::CIAO_Monitor::~CIAO_Monitor | ( |  | ) | `[virtual]`

The Desctructor.

Destructor

## Member Function Documentation

Deployment::Domain * CIAO::CIAO_Monitor::get_current_data | ( |  | ) | `[virtual]`

This function retrieves the current Domain data.

get_current_date.

Returns:
  -1 on error

Implements CIAO::MonitorBase.

int CIAO::CIAO_Monitor::initialize_params | ( | ::Deployment::Domain & | domain,
|  | ::Deployment::TargetManager_ptr | target_manager,
|  | int | interval |
| ) |  |  | `[virtual]`

initialize_params

Parameters:

  | domain | The Initial Domain for this host
  | target_manager | TargetManager_ptr
  | interval | The time interval after whic updates need to be send. This function is called by the controller to initialize parameters.

Implements CIAO::MonitorBase.

int CIAO::CIAO_Monitor::start | ( | CORBA::ORB_ptr | orb | ) | `[virtual]`

This method will starts up the Monitor in this case,.

start.

Parameters:

  | orb | The orb needed for resolving.

Returns:
  -1 on error

Implements CIAO::MonitorBase.

int CIAO::CIAO_Monitor::stop | ( |  | ) | `[virtual]`

This method will starts up the Monitor in this case.

stop.

Returns:
  -1 on error

Implements CIAO::MonitorBase.

## Member Data Documentation

auto_ptr<Deployment::Domain> CIAO::CIAO_Monitor::current_domain_`[protected]`

The Domain data structure.

int CIAO::CIAO_Monitor::interval_`[protected]`

The interval after which update is to be returned.

::Deployment::TargetManager_ptr CIAO::CIAO_Monitor::target_ptr_`[protected]`

The TargetManager Object to be sent to the RSSSubscriber ..

The documentation for this class was generated from the following files:

- CIAO_Monitor.h
- CIAO_Monitor.cpp